/* global module: false, require: false */
'use strict';

const defaultsDeep = require('lodash.defaultsdeep');

module.exports = {
  name: 'ui-sortable',

  isDevelopingAddon() {
    return true;
  },

  included(parent) {
    this.options = defaultsDeep(parent.options, this.options);

    this._super.included.apply(this, arguments);

    this.import('node_modules/sortablejs/Sortable.js', {using: [{transformation: 'amd', as: 'sortable'}]});
  },
};
